#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-iadd
version:              1.3.15
visibility:           public
id:                   hledger-iadd-1.3.15-2z6EKLHuwAfHiNAiO4jVjg
key:                  hledger-iadd-1.3.15-2z6EKLHuwAfHiNAiO4jVjg
license:              BSD-3-Clause
copyright:            2018 Hans-Peter Deifel
maintainer:           Hans-Peter Deifel <hpd@hpdeifel.de>
author:               Hans-Peter Deifel <hpd@hpdeifel.de>
homepage:             https://github.com/hpdeifel/hledger-iadd#readme
synopsis:             A terminal UI as drop-in replacement for hledger add
description:
    This is a terminal UI as drop-in replacement for hledger add.

    It improves in the following ways on hledger'\''s add command:

    * Interactive as-you-type completion for
    account names and descriptions with optional
    fuzzy matching.

    * Integrated calculator: Amounts can be written
    as simple sums with real-time feedback on the
    result.

    * All actions while entering a transaction can
    be undone

    * Configurable format for date input. Instead
    of @y\/m\/d@ it is also possible to use other
    formats like the german @d.m.y@.

category:             Finance, Console
abi:                  380b6b90d5a77d6b4b1af9e2c48704cf
exposed:              True
exposed-modules:
    AmountParser Brick.Widgets.BetterDialog Brick.Widgets.Border.Utils
    Brick.Widgets.CommentDialog Brick.Widgets.Edit.EmacsBindings
    Brick.Widgets.HelpMessage Brick.Widgets.List.Utils
    Brick.Widgets.WrappedText ConfigParser Data.Time.Ext DateParser
    Model View

import-dirs:          /usr/lib/ghc-9.0.1/site-local/hledger-iadd-1.3.15
library-dirs:         /usr/lib/ghc-9.0.1/site-local/hledger-iadd-1.3.15
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/hledger-iadd-1.3.15
hs-libraries:         HShledger-iadd-1.3.15-2z6EKLHuwAfHiNAiO4jVjg
depends:
    base-4.15.0.0 brick-0.62-1wvZByKT3bkAkc2jIH8ND7 containers-0.6.4.1
    directory-1.3.6.1 free-5.1.7-9VX1kqFPp72FUmLHwkDgiT
    hledger-lib-1.22-4RW2GjX9u7oBa9vmqyT2Q0
    megaparsec-9.1.0-5dgCN2xB1p5LuO8RRf6buz
    microlens-0.4.12.0-IoK2ncpVKVzEwRUasmz5D3
    microlens-th-0.4.3.10-HxodWQYuKqM1Xl5DK3s827
    optparse-applicative-0.16.1.0-DS7gx8MaAHc6ejBVskKbVS text-1.2.4.1
    text-zipper-0.11-CNIFfpg5Y8E6FjMeWpFtSU time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.14.0-GZb439Gbt7L1ozynZzbOaU
    vector-0.12.3.0-F01VHQmqrpj3f3agvYLGVp
    vty-5.33-4w5GR8YOcZK28t6wnzN7SE
    xdg-basedir-0.2.2-FxvLd0PtCIDHWciCXDjKP6

haddock-interfaces:   /usr/share/doc/hledger-iadd/html/hledger-iadd.haddock
haddock-html:         /usr/share/doc/hledger-iadd/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

